<?php

require_once('base_controller.php');

/**
 * Delete many objects of a certain type at once
 */
class bulk_delete_controller extends base_controller {
	var $name = 'Bulk delete';
	/**
	 * Add the object type to the page name
	 */
	public function __construct($input) {
		parent::__construct($input);
		if ($input->obj_type) {
			$this->name .= ' ' . $input->obj_type . 's';
		}
		$this->input = $input;
	}

	/**
	 * Select objects to delete
	 */
	function index() {
		if (!$this->input->obj_type) {
			echo "<p><strong>Ooops, you shouldn't be able to get here without an object type. Exiting.</strong></p>";
			exit(1);
		}
		$class = $this->input->obj_type . '_nacoma_Model';
		if (!$class::can_user_delete()) {
			echo "<p><strong>You're not authorized to delete {$this->input->obj_type} objects.</strong></p>";
			exit(1);
		}
		$input = $this->input;
		require_once(dirname(__FILE__).'/../../templates/bulk_delete.php');
	}

	/**
	 * Actually delete objects
	 */
	function Delete() {
		$deleted_objects = array();
		$errors = array();
		$affected = array();
		$input = $this->input;
		if (!$input->obj_type) {
			echo "<p><strong>Ooops, you shouldn't be able to get here without an object type. Exiting.</strong></p>";
			exit(1);
		}

		$class = $input->obj_type . '_nacoma_Model';
		if (isset($input->selection[$input->obj_type]))
			$objs = $input->selection[$input->obj_type];
		else
			$objs = $input->get_array('selected_'.$input->obj_type.'s');

		if (!empty($objs)) {
			foreach ($objs as $id) {
				$obj = new $class($id);
			    $name = $obj->get_object_name();
				if ($obj->banish_object()) {
					$deleted_objects[] = $name;
					foreach ($obj->delete_message['obj'] as $key => $val) {
						if (isset($affected[$key]))
							$affected[$key] += $val;
						else
							$affected[$key] = $val;
					}
				} else {
					$errors[$name] = $obj->delete_message;
				}
			}
		}
		require_once(dirname(__FILE__).'/../../templates/bulk_delete_success.php');
		echo top_bar_nacoma_Model::add_unsaved_warning();
	}
}
