<?php

/**
 * Assign purposes to hostgroups
 *
 * When you've designed hostgroups with assigned services,
 * this will allow you to provide a user-friendly
 * description to help your users pick out good ones.
 */
class management_pack_nacoma_Model extends object_nacoma_Model
{
	public $properties = array(
		'var_index' => array(
			'management_pack_name' => 'string',
			'hostgroup' => 'select',
			'icon' => 'image',
			'description' => 'textarea',
			'version' => 'int',
			'vendor' => 'string',
		),
		'widget' => array(
			'version' => 'hidden',
			'vendor' => 'hidden',
		),
		'required' => array(
			'management_pack_name',
			'hostgroup',
			'icon',
			'description'
		),
		'default' => array(),
		'special' => array(
			'hostgroup' => array(),
			'icon' => array(),
		),
		'topic' => 'management_pack_name',
	);

	const TYPE = 'management_pack';

	/**
	 * Return the mayi resource for the object
	 * @see object_nacoma_Model::mayi_resource()
	 */
	public function mayi_resource() {
		return "monitor.monitoring.management_packs";
	}

	function get_properties()
	{
		$img_list = glob("/opt/monitor/op5/ninja/application/media/images/logos/*");
		foreach (hostgroup_nacoma_Model::get_objects_for_user() as $obj)
			$this->properties['special']['hostgroup'][$obj] = $obj;
		foreach($img_list as $img)
			$this->properties['special']['icon'][basename($img)] = basename($img);
		return $this->properties;
	}

	function update_changelog($action = false)
	{
		// No changelog for management packs, because they only live in the database
	}

	static public function get_objects_for_user($write = false)
	{
		$query = "SELECT management_pack.id, management_pack_name FROM management_pack " .
			"INNER JOIN hostgroup ON hostgroup_name = hostgroup " .
			"WHERE management_pack_name IS NOT NULL " .
			"ORDER BY management_pack_name";

		$result = nacoma_db::exec_query($query);
		if (!$result)
			return(false);

		# return empty array if there were no objects to find
		$res = array();
		while($row = $result->fetch(PDO::FETCH_NUM)) {
			$res[$row[0]] = $row[1];
		}

		return $res;
	}
}
