<?php

/**
 * Widget for selecting a boolean value, realized as a dropdown
 */
class Bool_Nacomawidget extends Base_Nacomawidget {
	function render($obj, $token, $value) {
		echo "<select data-widget=bool name='" . $this->get_id($obj, $token) . "' id='" . $this->get_id($obj, $token) . "'>\n";
		if(intval($value) === 1) {
			echo "<option value=''>&nbsp;</option>\n";
			echo "<option selected=\"selected\" value='1'>Yes</option>\n";
			echo "<option value='0'>No</option>\n";
		}
		elseif(intval($value) === 0) {
			echo "<option value=''>&nbsp;</option>\n";
			echo "<option value='1'>Yes</option>\n";
			echo "<option selected=\"selected\" value='0'>No</option>\n";
		}
		else {
			echo "<option selected=\"selected\" value=''>&nbsp;</option>\n";
			echo "<option value='1'>Yes</option>\n";
			echo "<option value='0'>No</option>\n";
		}

		echo "</select>\n";
	}

	static function validate($obj, $token, $value) {
		if ($value === '')
			return $value;
		$i = intval($value);
		if (!is_numeric($value) || ($i !== 1 && $i !== 0))
			throw new widget_validation_exception("Requires integer value 0 or 1, or empty");
		return $value;
	}
}
