<?php

/**
 * Widget for generating a set of checkboxes
 */
class Checkbox_Nacomawidget extends Base_Nacomawidget {
	function render($obj, $token, $value) {
		$options = $obj->properties['special'][$token];
		$name = $this->get_id($obj, $token);

		echo "<table class='box-table'>\n";
		foreach($options as $opt => $opt_str) {
			if (!$opt_str)
				continue;
			$id = preg_replace('/[^a-z0-9]+/', '_', strtolower($name).'_'.$opt);
			$id = trim($id, '_');
			echo "<tr>\n";
			printf("  <td class=\"checkbox\"><input id='%s' type='checkbox' name='%s[%s]' %s value='%s' class=\"auto\" />\n",
				$id,
				$name,
				$opt,
				in_array($opt, $value) ? "checked='checked'" : "",
				$opt);
			echo "  </td>\n";
			echo "  <td><label for='$id'>$opt_str</label></td>\n</tr>";
		}
		echo "</table>\n";
	}

	static function validate($obj, $token, $value) {
		/* this could mean "n", or "inherit", and we'll just have to go for one. inherit seems consistent enough */
		if (!$value)
			return '';

		$spec = $obj->properties['special'];
		foreach ($value as $cb) {
			if (!isset($spec[$token][$cb])) {
				throw new widget_validation_exception(
					"Illegal checkbox option '".$cb."'. Only " .
					join(', ', array_keys($spec[$token])) . " are valid");
				break;
			}
		}
		return $value;
	}
}
