<?php

/**
 * Widget that only accepts numeric values
 */
class Int_Nacomawidget extends Base_Nacomawidget {
	function render($obj, $token, $value) {
		echo "<input type='text' name='" . $this->get_id($obj, $token) ."' id='" .
			$this->get_id($obj, $token) ."' value='" . $value . "' size='10' />\n";
	}

	static function validate($obj, $token, $value) {
		if ($value === '')
			return '';

		$nzints = array('max_check_attempts' => 1);
		if ($obj::TYPE === 'service')
			$nzints['retry_interval'] = 1;
		if ($value !== 'new' && !is_numeric($value) || intval($value) < 0)
			throw new widget_validation_exception('Requires positive integer value');
		elseif (isset($nzints[$token]) && intval($value) === 0)
			throw new widget_validation_exception('Requires positive non-zero integer value');
		return (string)$value;
	}
}
