<?php
$manifest = array_merge_recursive($manifest, array(
	"manage" => array(
		"label" => "Manage",
		"children" => array(
			"monitoring_options" => array(
				"label" => "Checks and Notifications",
				"children" => array(
					"contact" => array(
						"icon" => "contacts",
						"label" => "Contacts",
						"object_type" => "contact",
						"right_any" => array(
							"monitor.monitoring.contacts:create",
							"monitor.monitoring.contacts:update",
							"monitor.monitoring.contacts:delete",
						),
						"description" => "Setup notification contacts",
						"href" => array('configuration', 'configure', array('page' => 'edit.php', 'type' => 'contact'))
					),
					"contactgroup" => array(
						"icon" => "contact-groups",
						"label" => "Contact groups",
						"object_type" => "contactgroup",
						"right_any" => array(
							"monitor.monitoring.contactgroups:create",
							"monitor.monitoring.contactgroups:update",
							"monitor.monitoring.contactgroups:delete",
						),
						"description" => "Categorize contacts into groups",
						"href" => array('configuration', 'configure', array('page' => 'edit.php', 'type' => 'contactgroup'))
					),
					"plugin_search" => array(
						"icon" => "plugin-search",
						"label" => "Plugins",
						"right_any" => array(
							"monitor.monitoring.commands:create",
							"monitor.monitoring.commands:update",
							"monitor.monitoring.commands:delete",
						),
						"description" => "List and search among all installed Plugins",
						"href" => array('plugin', 'index')
					),
					"command" => array(
						"icon" => "check-command",
						"label" => "Commands",
						"object_type" => "command",
						"right_any" => array(
							"monitor.monitoring.commands:create",
							"monitor.monitoring.commands:update",
							"monitor.monitoring.commands:delete",
						),
						"description" => "Commands define how and what Plugin is used in the execution of a check",
						"href" => array('configuration', 'configure', array('page' => 'edit.php', 'type' => 'command'))
					),
					"command_import" => array(
						"icon" => "check-command-import",
						"label" => "Command import",
						"right_any" => array(
							"monitor.monitoring.commands:create",
							"monitor.monitoring.commands:update",
							"monitor.monitoring.commands:delete",
						),
						"description" => "Import commands that are pending since update",
						"href" => array('configuration', 'configure', array('page' => 'metadata.php'))
					),
					"timeperiod" => array(
						"icon" => "time-periods",
						"label" => "Time periods",
						"object_type" => "timeperiod",
						"right_any" => array(
							"monitor.monitoring.timeperiods:create",
							"monitor.monitoring.timeperiods:update",
							"monitor.monitoring.timeperiods:delete",
						),
						"description" => "Determines during what times events may occur, such as checks and notifications",
						"href" => array('configuration', 'configure', array('page' => 'edit.php', 'type' => 'timeperiod'))
					)
				)
			),
			"monitoring_objects" => array(
				"label" => "Hosts and services",
				"children" => array(
					"host" => array(
						"icon" => "host",
						"object_type" => "host",
						"label" => "Hosts",
						"right_any" => array(
							"monitor.monitoring.hosts:create",
							"monitor.monitoring.hosts:update",
							"monitor.monitoring.hosts:delete",
						),
						"description" => "Hosts are network connected devices you wish to monitor",
						"href" => array('configuration', 'configure', array('page' => 'host_wizard.php'))
					),
					"autoscan" => array(
						"icon" => "network-autoscan",
						"label" => "Network autoscan",
						"right" => "monitor.monitoring.hosts:create",
						"description" => "Scan your network for Hosts",
						"href" => array('configuration', 'configure', array('page' => 'autoscan.php'))
					),
					/* Do not add until you can add a service without going through a host
						@TODO Make edit service usable without providing a host
					"service" => array(
						"icon" => "service",
						"label" => "Services",
						"object_type" => "service",
						"right" => "monitor.monitoring.services:read",
						"description" => "Services perform checks against Hosts, edit a Host to select Services",
					), */
					"management_pack" => array(
						"icon" => "management-packs",
						"label" => "Management packs",
						"right_any" => array(
							"monitor.monitoring.management_packs:create",
							"monitor.monitoring.management_packs:update",
							"monitor.monitoring.management_packs:delete",
						),
						"description" => "Packages used to add multiple services to new hosts via the Wizard",
						"href" => array('configuration', 'configure', array('page' => 'edit.php', 'type' => 'management_pack'))
					),
					/* Should this be access via the Management pack interface?
					"manage_managment_packs" => array(
						"icon" => "management-packs",
						"label" => "Management pack import",
						"description" => "Import management packs that are pending since update",
						"href" => array('configuration', 'configure', array('page' => 'mgmtpackimport.php'))
					),
					*/
					"hostgroup" => array(
						"icon" => "hostgroup",
						"label" => "Host groups",
						"object_type" => "hostgroup",
						"right_any" => array(
							"monitor.monitoring.hostgroups:create",
							"monitor.monitoring.hostgroups:update",
							"monitor.monitoring.hostgroups:delete",
						),
						"description" => "Categorize hosts into groups",
						"href" => array('configuration', 'configure', array('page' => 'edit.php', 'type' => 'hostgroup'))
					),
					"servicegroup" => array(
						"icon" => "servicegroup",
						"label" => "Service groups",
						"object_type" => "servicegroup",
						"right_any" => array(
							"monitor.monitoring.servicegroups:create",
							"monitor.monitoring.servicegroups:update",
							"monitor.monitoring.servicegroups:delete",
						),
						"description" => "Categorize services into groups",
						"href" => array('configuration', 'configure', array('page' => 'edit.php', 'type' => 'servicegroup'))
					)
				)
			),
			"templates" => array(
				"label" => "Templates",
				"children" => array(
					"host_template" => array(
						"icon" => "templates",
						"label" => "Host templates",
						"right_any" => array(
							"monitor.monitoring.host_templates:create",
							"monitor.monitoring.host_templates:update",
							"monitor.monitoring.host_templates:delete",
						),
						"description" => "Inheritable by Hosts to populate values",
						"href" => array('configuration', 'configure', array('page' => 'edit.php', 'type' => 'host_template'))
					),
					"service_template" => array(
						"icon" => "templates",
						"label" => "Service templates",
						"right_any" => array(
							"monitor.monitoring.service_templates:create",
							"monitor.monitoring.service_templates:update",
							"monitor.monitoring.service_templates:delete",
						),
						"description" => "Inheritable by Services to populate values",
						"href" => array('configuration', 'configure', array('page' => 'edit.php', 'type' => 'service_template'))
					),
					"contact_template" => array(
						"icon" => "templates",
						"label" => "Contact templates",
						"right_any" => array(
							"monitor.monitoring.contact_templates:create",
							"monitor.monitoring.contact_templates:update",
							"monitor.monitoring.contact_templates:delete",
						),
						"description" => "Inheritable by Contacts to populate values",
						"href" => array('configuration', 'configure', array('page' => 'edit.php', 'type' => 'contact_template'))
					),
					"graph_template" => array(
						"icon" => "templates",
						"label" => "Graph templates",
						"right_any" => array(
							"monitor.monitoring.graph_templates:create",
							"monitor.monitoring.graph_templates:update",
							"monitor.monitoring.graph_templates:delete",
						),
						"description" => "Changes graphs appearance",
						"href" => array('configuration', 'configure', array('page' => 'edit.php', 'type' => 'graph_template'))
					)
				)
			),
			"graphs" => array(
				"label" => "Graphs",
				"children" => array(
					"combined_graph" => array(
						"icon" => "pnp",
						"label" => "Combined graphs",
						"right_any" => array(
							"monitor.monitoring.combined_graphs:create",
							"monitor.monitoring.combined_graphs:update",
							"monitor.monitoring.combined_graphs:delete",
						),
						"description" => "Overlay multiple graphs into a single graph",
						"href" => array('configuration', 'configure', array('page' => 'edit.php', 'type' => 'combined_graph'))
					),
					"graph_collection" => array(
						"icon" => "pnp",
						"label" => "Graph collection",
						"right_any" => array(
							"monitor.monitoring.graph_collections:create",
							"monitor.monitoring.graph_collections:update",
							"monitor.monitoring.graph_collections:delete",
						),
						"description" => "Group multiple graphs into a single view",
						"href" => array('configuration', 'configure', array('page' => 'edit.php', 'type' => 'graph_collection'))
					)
				)
			)
		)
	)
));
